VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsEvents

Submit a batch of events for testing

Use this endpoint to send an array of events for processing. Make sure to comply with the request schema for each event. NOTE: this is a dry run and will not result in actual storage of the events.

POST
/events/dry-run

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Request Body

application/json

An array of events following the EventInput schema. This request body should be included in the PUT request to '/events' Up to 1000 events or a total payload max size of 256KB

TypeScript Definitions

Use the request body type in TypeScript.

events*array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/events/dry-run" \  -H "Content-Type: application/json" \  -d '{    "events": [      {        "name": "api_call",        "timestamp": "2023-09-13T18:25:43.511Z",        "customerAlias": "customer_12345",        "ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21"      }    ]  }'
{  "events": [    {      "event": {        "timestamp": "2019-08-24T14:15:22Z",        "customerAlias": "string",        "accountId": "string",        "data": {          "property1": null,          "property2": null        },        "ref": "string",        "name": "string"      },      "matchedCustomer": "string",      "meterWithValues": [        {          "name": "string",          "eventName": "string",          "aggregationMethod": {            "operator": "Count",            "field": "string",            "instanceKey": "string"          },          "filter": {            "conditions": [              {                "criterions": [                  {                    "field": "string",                    "operator": "Equals",                    "value": "string"                  }                ]              }            ]          },          "value": 0,          "instanceValue": null        }      ]    }  ]}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "request_too_large",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}